<?php

namespace App\Enum;

enum UserIdType: string
{
    case INTERNATIONAL_PASSPORT = 'international_passport';
    case DRIVER_LICENSE = 'driver_license';
    case OTHER = 'other';

    public function label()
    {
        return match ($this) {
            self::INTERNATIONAL_PASSPORT => 'International Passport',
            self::DRIVER_LICENSE => 'Driver\'s License',
            self::OTHER => 'Other',
        };
    }
}
